/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", draw, false); // appel au chargement de la page
 

/**
 * Dessine avec l'API canvas
 * @return {[type]} [description]
 */
function draw()
{

	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  
	
	// inverse les couleurs d'une image
	var oImage = document.getElementById("logoDevFacile");// récupère l'image source
	oContexte.drawImage(oImage,0,0);
	
	var imgData = oContexte.getImageData(0,0, oCanvas.width/1.5, oCanvas.height/7);
	
	for (var i=0; i<imgData.data.length; i+=4)
	{
		imgData.data[i]=255-imgData.data[i];
		imgData.data[i+1]=255-imgData.data[i+1];
		imgData.data[i+2]=255-imgData.data[i+2];
		imgData.data[i+3]=255;
	}

	oContexte.putImageData(imgData,0,0);// écrit l'image créée dans le canvas

	// création d'un dégradé
	var gradientLineaire = oContexte.createLinearGradient(50, 50, 90, 50);
	gradientLineaire.addColorStop(0,"#DF01D7");    // Départ
	gradientLineaire.addColorStop(0.49,"#FF0040"); // Intermédiaire
	gradientLineaire.addColorStop(0.79,"#CCCCCC"); // Intermédiaire
	gradientLineaire.addColorStop(1,"#40FF00");   // Arrivée
	
	oContexte.fillStyle = gradientLineaire; // pour le remplissage de la forme
	oContexte.fillRect(10, 115, 150, 350);

}

/**
 * Copie les pixels d'une forme
 *
 */
function copyPixels()
{
	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  

    var imgData = oContexte.getImageData(100, 0, 90, 300);
    oContexte.putImageData(imgData, 200, 130);
}


